package ucf.him.wifiauthentication;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.graphics.Color;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class Main extends Activity {
	
	private Button bValidate;
	private EditText etKey;
	private EditText etWebsite;
	private TextView tvValidity;
	private TextView tvHttp;
	
	private String hypertext;
	private Context context;
	
    ///** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        context = this;
    	initializeViews();
        //this.registerReceiver(this.ConnectivityChangedReceiver, new IntentFilter(ConnectivityManager.CONNECTIVITY_ACTION));
        
    	etKey.setText("google");
    	etWebsite.setText("http://74.125.227.1");
    	//etKey.setText("Microsoft NCSI");
    	//etWebsite.setText("http://www.msftncsi.com/ncsi.txt");
    	
    	bValidate.setOnClickListener(new View.OnClickListener() {
			
			public void onClick(View v) {
				
		    	try 
		    	{
			    	ConnectivityManager connectivityManager = (ConnectivityManager) getBaseContext().getSystemService(Context.CONNECTIVITY_SERVICE);
		    		NetworkInfo networkInfo = connectivityManager.getActiveNetworkInfo();
			        
		    		if(networkInfo.getType()==ConnectivityManager.TYPE_WIFI)
			        {
						try
						{
							HttpParser parser = new HttpParser();
							hypertext = parser.parseWebsite(etWebsite.getText().toString());
							//tvHttp.setText(hypertext);
						} 
						catch (Exception e) 
						{
							e.printStackTrace();
							hypertext = "Invalid";
						}
						
						ConnectionManager connection = new ConnectionManager();
						
						if (hypertext.contains(etKey.getText().toString()))
						{
							tvValidity.setText("Valid");
							tvValidity.setTextColor(Color.GREEN);
						}
						else if (hypertext.contains("Invalid"))
						{
							tvValidity.setText("Invalid");
							tvValidity.setTextColor(Color.RED);
							connection.disable(context);
						}
						
				    }
			        else
				    {
						tvValidity.setText("Disconnected");
						tvValidity.setTextColor(Color.LTGRAY);
			        }
		    	} 
		    	catch (Exception e)
		    	{
		    		e.printStackTrace();
		    	}

			}
			
		});
    }
    
    /*
	private BroadcastReceiver ConnectivityChangedReceiver = new BroadcastReceiver() {

	    @Override
	    public void onReceive(Context context, Intent intent) {
	    	
	    	try 
	    	{
		    	ConnectivityManager connectivityManager = (ConnectivityManager) getBaseContext().getSystemService(Context.CONNECTIVITY_SERVICE);
	    		NetworkInfo networkInfo = connectivityManager.getActiveNetworkInfo();
		        if(networkInfo.getType()==ConnectivityManager.TYPE_WIFI)
		        {
					try
					{
						HttpParser parser = new HttpParser();
						hypertext = parser.parseWebsite(etWebsite.getText().toString());
						tvHttp.setText(hypertext);
					} 
					catch (Exception e) 
					{
						e.printStackTrace();
					}
					
					ConnectionManager connection = new ConnectionManager();
					connection.setKey(etKey.getText().toString());
					if (connection.isValid(hypertext))
					{
						tvValidity.setText("Valid");
						tvValidity.setTextColor(Color.GREEN);
					} 
					else 
					{
						tvValidity.setText("Invalid");
						tvValidity.setTextColor(Color.RED);
						connection.disable(context);
					}
			    } 
		        else
			    {
					tvValidity.setText("Disconnected");
					tvValidity.setTextColor(Color.LTGRAY);
		        }
	    	} 
	    	catch (Exception e)
	    	{
	    		e.printStackTrace();
	    	}
	    }    
    };
    */
    
    private void initializeViews() {
    	bValidate   = (Button)   findViewById(R.id.bValidate);
    	etKey       = (EditText) findViewById(R.id.etKey);
    	etWebsite   = (EditText) findViewById(R.id.etWebsite);
    	tvValidity  = (TextView) findViewById(R.id.tvValidity);
    	tvHttp      = (TextView) findViewById(R.id.tvHttp);
	}
    
}